/*
 * This file is part of Remote Support Desktop
 * https://gitlab.das-netzwerkteam.de/RemoteWebApp/rwa.support.desktopapp
 * Copyright 2021 Daniel Teichmann <daniel.teichmann@das-netzwerkteam.de>
 * SPDX-License-Identifier: GPL-2.0-or-later
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the
 * Free Software Foundation, Inc.,
 * 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#include "RWAHost.h"

RWAHost::RWAHost(QString uuid, QString alias, QString url) {
    assert(uuid != "");
    assert(alias != "");
    assert(url != "");

    /*qDebug() << "Created new RWAHost object.\n\t"
             << QString("uuid:  '%0'").arg(uuid) << "\n\t"
             << QString("alias: '%0'").arg(alias) << "\n\t"
             << QString("url:   '%0'").arg(url);*/

    _url = url;
    _alias = alias;
    _uuid = uuid;
}

QString RWAHost::uuid() const {
    return _uuid;
}

QString RWAHost::alias() const {
    return _alias;
}

QString RWAHost::url() const {
    return _url;
}

void RWAHost::setUuid(const QString &uuid) {
    _uuid = uuid;
    emit uuidChanged(uuid);
}

void RWAHost::setAlias(const QString &alias) {
    _alias = alias;
    emit aliasChanged(alias);
}

void RWAHost::setUrl(const QString &url) {
    _url = url;
    emit urlChanged(url);
}
